Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 231711 - RFE: Support for external USB HDD enclosure
Summary: RFE: Support for external USB HDD enclosure
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 6
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Brian Brock
URL: http://www.mail-archive.com/linux-usb...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-10 15:16 UTC by Mostafa Afgani
Modified: 2008-08-02 23:40 UTC (History)
0 users

Fixed In Version: 2.6.20-1.2925.fc6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-16 10:24:21 UTC


Attachments (Terms of Use)
Relevant dmesg & /proc/bus/usb/devices output (deleted)
2007-03-10 15:16 UTC, Mostafa Afgani
no flags Details

Description Mostafa Afgani 2007-03-10 15:16:48 UTC
Description of problem:
External USB HDD enclosure fails to work. Problem can be solved by blacklisting
the device in drivers/usb/storage/unusual_devs.h

See
http://www.mail-archive.com/linux-usb-users@lists.sourceforge.net/msg17751.html
for patch.

Version-Release number of selected component (if applicable):
2.6.19-1.2911.6.5.fc6

How reproducible:
Always

Steps to Reproduce:
1. Plug in any external USB HDD enclosure with Vendor=14cd ProdID=6600 Rev= 2.01
2. 
3.
  
Actual results:
I/O errors detected

Expected results:
Error free operation of USB device

Additional info:

Comment 1 Mostafa Afgani 2007-03-10 15:16:48 UTC
Created attachment 149771 [details]
Relevant dmesg & /proc/bus/usb/devices output

Comment 2 Chuck Ebbert 2007-03-15 23:01:13 UTC
Should be fixed in kernel 2.6.20-1.2925.fc6. Please test.

Comment 3 Mostafa Afgani 2007-03-16 10:24:21 UTC
Indeed. The device works perfectly with kernel-2.6.20-1.2925.fc6. Thank you.


Note You need to log in before you can comment on or make changes to this bug.